#property copyright "SERGEY ISAEV"
#property link      "serj.7777@mail.ru"

#property indicator_level1 80
#property indicator_level2 20
#property indicator_levelcolor DodgerBlue
#property indicator_levelwidth 1
#property indicator_levelstyle STYLE_DOT

#property indicator_level3 90
#property indicator_level4 10
//#property indicator_levelcolor Red
#property indicator_levelwidth 1
#property indicator_levelstyle STYLE_DOT

#property indicator_separate_window
#property indicator_buffers 4
#property indicator_color1 Yellow
#property indicator_color2 DarkTurquoise
#property indicator_color3 HotPink
#property indicator_color4 RoyalBlue


//---- input parameters
extern int       barsToProcess=200;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];


int init()
  {
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexStyle(3,DRAW_LINE);
   SetIndexBuffer(3,ExtMapBuffer4);
   return(0);
  }


int deinit()
  {
   ObjectsDeleteAll();
   return(0);
  }

int start()
{
   int counted_bars=IndicatorCounted(),
       limit;

   if(counted_bars>0)
      counted_bars--;
   
   limit=Bars-counted_bars;
   
   if(limit>barsToProcess)
      limit=barsToProcess;
  
   for(int i=0;i<limit;i++)
   {
      ExtMapBuffer1[i]=iStochastic(Symbol(),PERIOD_M5,5,3,3,MODE_SMA,0, MODE_MAIN,i);
      ExtMapBuffer2[i]=iStochastic(Symbol(),PERIOD_M5,5,3,3,MODE_SMA,0, MODE_SIGNAL,i);
      ExtMapBuffer3[i]=iStochastic(Symbol(),PERIOD_H1,5,3,3,MODE_SMA,0, MODE_MAIN,i);
      ExtMapBuffer4[i]=iStochastic(Symbol(),PERIOD_H1,5,3,3,MODE_SMA,0, MODE_SIGNAL,i);
   }
   
   return(0);
}

